package router

import (
	"ppt_server/app/api"
	"ppt_server/middleware"

	"github.com/gogf/gf/frame/g"
	"github.com/gogf/gf/net/ghttp"
)

func init() {

	s := g.Server()
	s.Use(
		middleware.Cors,
		middleware.Recover,
	)
	s.Group(`file`, func(group *ghttp.RouterGroup) {
		group.ALL(`/`, api.File, "Index, Upload")

		//group.GET(`/upload`, api.File.Index)
		//group.POST(`/upload`, api.File.Upload)

	})
}
